Bug 23194 - Public notes items in the OPAC should allow for HTML tags
Summary: Public notes items in the OPAC should allow for HTML tags
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
: 22469 (view as bug list)
Depends on:
Blocks:
 
Reported: 2019-06-24 14:48 UTC by Kelly McElligott
Modified: 2019-08-18 10:45 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Since 18.11, item.itemnotes content is escaped so any HTML tag would appear broken. It is now allowed again, hyperlinks for example.
Version(s) released in:
19.11.00,19.05.03


Attachments
Bug 23194: Allow HTML in item public notes to be processed on OPAC details (1.58 KB, patch)
2019-06-25 11:52 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 23194: Fix other occurences (9.90 KB, patch)
2019-06-25 11:52 UTC, Nick Clemens
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 23194: Allow HTML in item public notes to be processed on OPAC details (1.64 KB, patch)
2019-06-26 10:54 UTC, Claire Gravely
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 23194: Fix other occurences (9.94 KB, patch)
2019-06-26 10:54 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 23194: Allow HTML in item public notes to be processed on OPAC details (1.69 KB, patch)
2019-07-05 19:44 UTC, Frédérik Chénier
Details | Diff | Splinter Review
Bug 23194: Fix other occurences (9.98 KB, patch)
2019-07-05 19:44 UTC, Frédérik Chénier
Details | Diff | Splinter Review
Bug 23194: Allow HTML in item public notes to be processed on OPAC details (1.75 KB, patch)
2019-07-06 09:59 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23194: Fix other occurences (10.08 KB, patch)
2019-07-06 09:59 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kelly McElligott 2019-06-24 14:48:38 UTC
As with similar bugs, 22938, 22702, 22501, the HTML tags are broken in the newest version of 18.11.  

If an item has a URL in the public notes subfield, this should be allowed to have HTML tags.  Currently, this is not displaying correctly.
Comment 1 Christopher Brannon 2019-06-24 19:54:28 UTC
Would like to see this fixed ASAP.  We have MANY item records with HTML links in the public notes field.
Comment 2 Nick Clemens 2019-06-25 11:52:08 UTC
Created attachment 90987 [details] [review]
Bug 23194: Allow HTML in item public notes to be processed on OPAC details
Comment 3 Nick Clemens 2019-06-25 11:52:11 UTC
Created attachment 90988 [details] [review]
Bug 23194: Fix other occurences

Throughout staff client and course reserves we also show the field with HTML filter, maybe we shouldn't?

The items lost report also included the note as a title element on title and barcode links, I removed this
as the note displays in that table

To test:
 1 - Add a link to publicnotes for an item
<a href="www.google.com">Cats!</a>
 2 - View opac details, confirm the note is a link
 3 - Same for staff side
 4 - Add item to a course reserve
    UseCourseReserves  preference must be set to 'Use'
    From the course reserves module you will need to add a course (and possibly a department first)
    Adding should be intuitive
 5 - Confirm note is a link in course details on staff and opac
 6 - Perform a batch checkout, confirm the itemnote shows as a link
     You will need to enable the system preference:  BatchCheckouts and add a patron category to:  BatchCheckoutsValidCategories
     Then a link should be available from checkout for a patron in that category
 7 - Mark the item as lost
 8 - Go to Reports->Items lost
 9 - Confirm the note is a URL and that title and barcode links don't show the note
10 - Click the barcode to go to moredetails for the item - in this case note should display as editable text, not a link
Comment 4 Claire Gravely 2019-06-26 10:54:17 UTC
Created attachment 91014 [details] [review]
[SIGNED-OFF] Bug 23194: Allow HTML in item public notes to be processed on OPAC details

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 5 Claire Gravely 2019-06-26 10:54:20 UTC
Created attachment 91015 [details] [review]
[SIGNED-OFF] Bug 23194: Fix other occurences

Throughout staff client and course reserves we also show the field with HTML filter, maybe we shouldn't?

The items lost report also included the note as a title element on title and barcode links, I removed this
as the note displays in that table

To test:
 1 - Add a link to publicnotes for an item
<a href="www.google.com">Cats!</a>
 2 - View opac details, confirm the note is a link
 3 - Same for staff side
 4 - Add item to a course reserve
    UseCourseReserves  preference must be set to 'Use'
    From the course reserves module you will need to add a course (and possibly a department first)
    Adding should be intuitive
 5 - Confirm note is a link in course details on staff and opac
 6 - Perform a batch checkout, confirm the itemnote shows as a link
     You will need to enable the system preference:  BatchCheckouts and add a patron category to:  BatchCheckoutsValidCategories
     Then a link should be available from checkout for a patron in that category
 7 - Mark the item as lost
 8 - Go to Reports->Items lost
 9 - Confirm the note is a URL and that title and barcode links don't show the note
10 - Click the barcode to go to moredetails for the item - in this case note should display as editable text, not a link

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 6 Frédérik Chénier 2019-07-05 19:44:47 UTC
Created attachment 91370 [details] [review]
Bug 23194: Allow HTML in item public notes to be processed on OPAC details

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Signed-off-by: frederik chenier <frederik.chenier@inlibro.com>
Comment 7 Frédérik Chénier 2019-07-05 19:44:56 UTC
Created attachment 91371 [details] [review]
Bug 23194: Fix other occurences

Throughout staff client and course reserves we also show the field with HTML filter, maybe we shouldn't?

The items lost report also included the note as a title element on title and barcode links, I removed this
as the note displays in that table

To test:
 1 - Add a link to publicnotes for an item
<a href="www.google.com">Cats!</a>
 2 - View opac details, confirm the note is a link
 3 - Same for staff side
 4 - Add item to a course reserve
    UseCourseReserves  preference must be set to 'Use'
    From the course reserves module you will need to add a course (and possibly a department first)
    Adding should be intuitive
 5 - Confirm note is a link in course details on staff and opac
 6 - Perform a batch checkout, confirm the itemnote shows as a link
     You will need to enable the system preference:  BatchCheckouts and add a patron category to:  BatchCheckoutsValidCategories
     Then a link should be available from checkout for a patron in that category
 7 - Mark the item as lost
 8 - Go to Reports->Items lost
 9 - Confirm the note is a URL and that title and barcode links don't show the note
10 - Click the barcode to go to moredetails for the item - in this case note should display as editable text, not a link

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Signed-off-by: frederik chenier <frederik.chenier@inlibro.com>
Comment 8 Katrin Fischer 2019-07-06 09:59:10 UTC
Created attachment 91389 [details] [review]
Bug 23194: Allow HTML in item public notes to be processed on OPAC details

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Signed-off-by: frederik chenier <frederik.chenier@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Katrin Fischer 2019-07-06 09:59:14 UTC
Created attachment 91390 [details] [review]
Bug 23194: Fix other occurences

Throughout staff client and course reserves we also show the field with HTML filter, maybe we shouldn't?

The items lost report also included the note as a title element on title and barcode links, I removed this
as the note displays in that table

To test:
 1 - Add a link to publicnotes for an item
<a href="www.google.com">Cats!</a>
 2 - View opac details, confirm the note is a link
 3 - Same for staff side
 4 - Add item to a course reserve
    UseCourseReserves  preference must be set to 'Use'
    From the course reserves module you will need to add a course (and possibly a department first)
    Adding should be intuitive
 5 - Confirm note is a link in course details on staff and opac
 6 - Perform a batch checkout, confirm the itemnote shows as a link
     You will need to enable the system preference:  BatchCheckouts and add a patron category to:  BatchCheckoutsValidCategories
     Then a link should be available from checkout for a patron in that category
 7 - Mark the item as lost
 8 - Go to Reports->Items lost
 9 - Confirm the note is a URL and that title and barcode links don't show the note
10 - Click the barcode to go to moredetails for the item - in this case note should display as editable text, not a link

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Signed-off-by: frederik chenier <frederik.chenier@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Martin Renvoize 2019-07-15 11:22:08 UTC
Nice work!

Pushed to master for 19.11.00
Comment 11 Fridolin SOMERS 2019-07-30 05:44:53 UTC
Pushed to 19.05.x for 19.05.03
Comment 12 Fridolin SOMERS 2019-07-30 06:06:01 UTC
I rise to major because of impact on OPAC display.
Hope it will be released soon in 18.11.x
Comment 13 Lucas Gass 2019-08-06 16:45:37 UTC
backported to 18.11.x for 18.11.09
Comment 14 Katrin Fischer 2019-08-18 10:45:37 UTC
*** Bug 22469 has been marked as a duplicate of this bug. ***